class ServerInfo
  attr_accessor :groupPath, :memberName, :ip, :port, :serviceType, :serviceName, :workerSize, :selectorSize

  DEFAULT_OPTIONS = {
    :groupPath => nil,
    :memberName => "default",
    :ip => nil,
    :port => nil,
    :serviceType => nil,
    :serviceName => nil,
    :workerSize => nil,
    :selectorSize => nil
  }

  def initialize(options)
    raise "initialize ServerInfo error, options can not be nil." if options == nil 
    #@options = DEFAULT_OPTIONS.merge(options)
    @groupPath = options[:groupPath]
    if options[:memberName].nil?
      @memberName = "default" 
    else
      @memberName = options[:memberName]
    end
    @ip = options[:ip]
    @port = options[:port]
    @serviceType = options[:serviceType]
    @serviceName = options[:serviceName]
    @workerSize = options[:workerSize]
    @selectorSize =  options[:selectorSize]
  end

  def getHash
    {
    :groupPath => @groupPath,
    :memberName => @memberName,
    :ip => @ip,
    :port => @port,
    :serviceType => @serviceType,
    :serviceName => @serviceName,
    :workerSize => @workerSize,
    :selectorSize => @selectorSize
    }
  end
  
end
